Subject: Re: bug#42131: Cannot split to IMAP folders

From: David Greene <[email-masked]>
Date: Wed, 09 Sep 2020 15:47:30 -0500

Lars Ingebrigtsen <[email-masked]> writes:

>>> Do you have any idea where mail.misc may be coming from?
>>
>> I don't.  The only instance of that string that I found in my config is
>> in a commented line.
>
> I just noticed:
>
> (defvar gnus-group-split-default-catch-all-group "mail.misc"
>   "Group name (or arbitrary fancy split) with default splitting rules.
> Used by `gnus-group-split' and `gnus-group-split-update' as a fallback
> split, in case none of the group-based splits matches.")
>
> Hm, no, it's not used by these commands, 

Which commands?

> Then there's:
>
> (defcustom nnmail-split-fancy "mail.misc"
>   "Incoming mail can be split according to this fancy variable.
>
> But you had a different value here?

No, I didn't set nnmail-split-fancy, but I did set nnimap-split-fancy
and also nnimap-split-methods = nnimap-split-fancy.

I set them via gnu-select-method:

  (setq gnus-select-method '(nnimap "Local"
                                    (nnimap-address "localhost")
                                    (nnimap-authenticator login)
                                    (nnimap-stream network)
                                    (nnimap-inbox '("work/INBOX" "home/INBOX" "gmail/INBOX"))
                                    (nnimap-split-fancy
                                     (|
                                      ("Subject:" "Nightly.*test results" "work/testing")
                                      (from "myschool.org" "home/school")
                                      ;; Really leave it where it is?
                                      (nil)
                                      ))
                                    (nnimap-split-methods nnimap-split-fancy)